# boost_sp_counted_base.h File Reference

Go to the source code of this file.

## Classes

- class std::tr1::bad_weak_ptr
    Exception possibly thrown by `shared_ptr`. More...

## Namespaces

- namespace std
- namespace std::tr1

## Functions

- void std::tr1::__throw_bad_weak_ptr ()

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file boost_sp_counted_base.h.